version: 2
updates:
  - package-ecosystem: bundler
    directory: /
    schedule:
      interval: daily
    commit-message:
      trailers:
        - changelog: dependency
      trailers-development:
        - changelog: dev-dependency
      trailers-security:
        - changelog: security
    reviewers:
      - andrcuns
    ignore:
      - dependency-name: "sidekiq"
        update-types: ["version-update:semver-major"]
      - dependency-name: "sidekiq-alive-next"
        update-types: ["version-update:semver-major"]
    auto-merge:
      ignore:
        - dependency-name: "*"
          update-types: ["version-update:semver-major"]
  - package-ecosystem: npm
    directory: /
    schedule:
      interval: daily
    commit-message:
      trailers:
        - changelog: dev-dependency
    reviewers:
      - andrcuns
    auto-merge: true
    ignore:
      - dependency-name: "@types/node"
        update-types: ["version-update:semver-patch"]
      - dependency-name: "vue"
        update-types: ["version-update:semver-patch"]
